/* global console, define, window, $, document */
(function(global) {

	var elements = global.astro.elements;
	var dia = global.astro.dia;
	var Joint = global.Joint;

	$("body").append("<div id='world'></div>");
	Joint.paper("world", 800, 400);

	//	var e1 = elements.PElement.create({x:10,y:20});
	//	var e2 = elements.PElement.create({x:200,y:20});
	//	var e3 = elements.PElement.create({x:200,y:100});
	//
	//	var all = [e1.n1,e2.n1,e3.n1];
	//
	//	e1.n1.joint(e2.n1, dia.arrow).registerForever(all);

	var start = elements.CInteger.create({
		x : 300,
		y : 20
	});
	var inc = elements.CIncrement.create({
		x : 200,
		y : 100
	});
	var add = elements.CAdd.create({
		x : 300,
		y : 200
	});
	var display = elements.CDisplayInteger.create({
		x : 200,
		y : 300
	});

	var j = start.integerOutPort.joint(inc.integerInPort, dia.arrow);
	window.j = j;
	//j.showHandle();

	// var j = new Joint(start.integerOutPort.wrapper,
	// //inc.integerInPort.wrapper,
	// new Joint.Point(10,10),
	// { startArrow : { type : 'none'},
	// endArrow   : { type : 'none'},
	// attrs      : { "stroke-dasharray" : 'none'}
	// });
	// j.registerForever(dia.portRegistry.ports());
	// j.showHandle();
	// setTimeout(function(){
	// j.hideHandle();
	// }, j._opt.handle.timeout);
	//
	// j.capMouseDown({clientX:10,clientY:10}, j.dom.endCap);

	inc.integerOutPort.joint(add.integer1InPort, dia.arrow);
	start.integerOutPort.joint(add.integer2InPort, dia.arrow);
	add.integerOutPort.joint(display.integerInPort, dia.arrow);

	start.update();
	dia.contextMenuInit();
	var saveButton = $("<button>save</button>");
	$("body").append(saveButton);
	saveButton.click(function() {
		dia.save('dia.dat');
	});

	var loadButton = $("<button>load</button>");
	$("body").append(loadButton);
	loadButton.click(function() {
		dia.load('dia.dat');
	});

})(this); 